Create Subnet

View as Markdown

Create a Subnet for the org.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

At least one IPv4 IP block or one IPv6 IP block must be specified.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
namestringRequired2-256 characters
Name of the Subnet
vpcIdstringRequiredformat: "uuid"
ID of the VPC containing the Subnet
prefixLengthintegerRequired
Length of the prefix
descriptionstring or nullOptional
Description of the Subnet
ipv4BlockIdstring or nullOptionalformat: "uuid"
ID of the derived Tenant IPv4 Block from an Allocation
ipv6BlockIdstring or nullOptionalformat: "uuid"
ID of the derived Tenant IPv6 Block from an Allocation

Response

Created
idstringRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Subnet
namestring2-256 characters
Name of the Subnet
descriptionstring or null
Description of the Subnet
siteIdstringformat: "uuid"
ID of the Site containing the Subnet
vpcIdstringformat: "uuid"
ID of the VPC containing the Subnet
controllerNetworkSegmentIdstring or nullformat: "uuid"
ID of the Site Controller network segment corresponding to the Subnet
ipv4Prefixstring or nullformat: "ipv4"
The prefix that gets assigned to the subnet if ipv4 block is chosen
ipv4BlockIdstring or nullformat: "uuid"
ID of the derived Tenant IPv4 Block from an Allocation
ipv4Gatewaystring or nullformat: "ipv4"
Address of the IPv4 gateway in the Subnet
ipv6Prefixstring or nullformat: "ipv6"
Prefix of the network in CIDR notation
ipv6BlockIdstring or nullformat: "uuid"
ID of the derived Tenant IPv6 Block from an Allocation
ipv6Gatewaystring or nullformat: "ipv6"
Address of the IPv6 gateway in the Subnet
mtuintegerRead-only

Maximum Transmission Unit size in bytes. This property is system-determined and read-only.

prefixLengthinteger
Max value depends on prefix length of parent IP Block
routingTypeenum
Routing type of the Subnet
statusenum
Status of the Subnet
usageStatsobject

Present when query parameter includeUsageStats=true. Prefix and IP usage data is derived by evaluating associated Ethernet interfaces. Each Interface associated with a Subnet consumes a single IP. In addition, one gateway and one broadcast IP address are reserved per Subnet.

statusHistorylist of objectsRead-only
Chronological status history for the Subnet
createddatetimeRead-only

Date/time when the Subnet was created

updateddatetimeRead-only

Date/time when the Subnet was last updated

Errors

400
Bad Request Error
403
Forbidden Error